import request from '@/utils/request'
// 订单列表
export function getListData(data) {
  return request({
    url: '/orderInfo/selectOrderInfoPage',
    method: 'get',
     params: data,
  })
}
// 订单单个查看
export function getData(data) {
  return request({
    url: '/orderInfo/getOrderInfo',
    method: 'get',
     params: data,
  })
}
// 订单审核
export function auditData(data) {
  return request({
    url: '/orderInfo/api/examine',
    method: 'post',
     data: data,
  })
}

// 订单审核
export function endData(data) {
  return request({
    url: '/orderInfo/api/end',
    method: 'post',
     data: data,
  })
}

// 订单完结
export function editEndData(data) {
  return request({
    url: '/orderInfo/api/editEnd',
    method: 'post',
     data: data,
  })
}
// 批量开票
export function batchData(data) {
  return request({
    url: '/orderInfo/api/readXmlManagement',
    method: 'post',
    data: data,
  })
}

// 订单轨迹
export function travelpath(data) {
  return request({
    url: '/hyOrderTravelPath/getInfo',
    method: 'get',
    params: data,
  })
}
//预付
export function preMoney(data) {
  return request({
    url: '/freightInfo/api/advance',
    method: 'post',
    data: data,
  })
}
//尾款
export function tailMoney(data) {
  return request({
    url: '/freightInfo/api/balance',
    method: 'post',
    data: data,
  })
}